import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import styles from './index.module.scss';

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

var propTypes = {
  /**
   * Component to be wrapped.
   */
  children: PropTypes.node,

  /**
   * Breakpoint at which the wrapper should remove horizontal margin to bleed to the edge of the
   * viewport. Defaults to `undefined`, in which case it never does this.
   */
  bleedBelow: PropTypes.oneOf(['small', 'medium', 'large']),

  /**
   * A selector hook into the React component for use in automated testing environments.
   */
  dataTest: PropTypes.string
};
var defaultProps = {
  children: undefined,
  bleedBelow: undefined,
  dataTest: undefined
};
function Wrap(_ref) {
  var _classNames;

  var children = _ref.children,
      bleedBelow = _ref.bleedBelow,
      dataTest = _ref.dataTest;
  return React.createElement("div", {
    className: classNames((_classNames = {}, _defineProperty(_classNames, styles.root, true), _defineProperty(_classNames, styles.bleedBelowSmall, bleedBelow === 'small'), _defineProperty(_classNames, styles.bleedBelowMedium, bleedBelow === 'medium'), _defineProperty(_classNames, styles.bleedBelowLarge, bleedBelow === 'large'), _classNames)),
    "data-test": dataTest
  }, children);
}
Wrap.defaultProps = defaultProps;
Wrap.propTypes = propTypes;

export default Wrap;
//# sourceMappingURL=index.es.js.map
